<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\JumpsellerController;
use App\Http\Controllers\ProductsController;
use App\Http\Controllers\OrdersController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


Route::get('/auth/jumpseller', [JumpsellerController::class, 'redirectToProvider']);
Route::get('/callback', [JumpsellerController::class, 'handleProviderCallback']);
Route::get('/customers', [JumpsellerController::class, 'getCustomers']);
Route::get('/insertproducts', [ProductsController::class, 'insertProducts']);
Route::get('/insertOrders', [OrdersController::class, 'insertOrders']);



Route::get('/', function () {
    return view('welcome');
});

Route::get('/obtenerClientesJumpseller', [JumpsellerController::class, 'getCustomers']);
